// FFSubmenu=Skalieren
// FFName=Pixelanzahl ndern
// FFPath=Pixelanzahl.js


/*
Das Script ndert die Pixelanzahl unter beibehaltung des
Seitenverhltnisses auf den gewhlten Wert.
Besonders sinnvoll fr die FixFoto Wettbewerbe, bei denen Maximal
310.000 Pixel erlaubt sind.
Eine abschieende Schrfung oder sonstige Bearbeitung findet nicht statt.
(c) Dietmar SCHONHOVEN im Mai 2005
*/


var Breite;
var Hoehe;
var Seitenverhaeltnis;
var Zielgroesse;
var Knopf;


// Start Dialog Pixel
FF_AddDialog ("Pixel",120,120);
FF_AddControl ("Pixel","310.000","BUTTON",15,10,33,11);
FF_AddControl ("Pixel","480.000","BUTTON",15,25,33,11);
FF_AddControl ("Pixel","786.432","BUTTON",15,40,33,11);
FF_AddControl ("Pixel","1.3 Mega","BUTTON",15,55,33,11);
FF_AddControl ("Pixel","2.0 Mega","BUTTON",15,70,33,11);
FF_AddControl ("Pixel","3.0 Mega","BUTTON",15,85,33,11);
FF_AddControl ("Pixel","4.0 Mega","BUTTON",15,100,33,11);
FF_AddControl ("Pixel","5.0 Mega","BUTTON",65,10,33,11);
FF_AddControl ("Pixel","6.0 Mega","BUTTON",65,25,33,11);
FF_AddControl ("Pixel","8.0 Mega","BUTTON",65,40,33,11);
FF_AddControl ("Pixel","10.0 Mega","BUTTON",65,55,33,11);
FF_AddControl ("Pixel","12.0 Mega","BUTTON",65,70,33,11);
FF_AddControl ("Pixel","14.0 Mega","BUTTON",65,85,33,11);
FF_AddControl ("Pixel","16.0 Mega","BUTTON",65,100,33,11);
// ** Ende Dialog Pixel **

Knopf = FF_ShowDialog("Pixel");
// FF_MessageBox("gedrckt=" + Knopf, 0);
FF_CloseDialog("Pixel");

switch(Knopf) {
	case "310.000": { Zielgroesse=310000; break; }         // ca. 640*480 fr FoxFoto Wettbewerbe
	case "480.000": {  Zielgroesse=480000; break; }        // 800*600
	case "786.432": {  Zielgroesse=786432; break; }        // 1024*768
	case "1.3 Mega": {  Zielgroesse=1310720; break; }      // 1280*1024
	case "2.0 Mega": {  Zielgroesse=2*1024*1024; break; }
	case "3.0 Mega": {  Zielgroesse=3*1024*1024; break; }
	case "4.0 Mega": {  Zielgroesse=4*1024*1024; break; }
	case "5.0 Mega": {  Zielgroesse=5*1024*1024; break; }
	case "6.0 Mega": {  Zielgroesse=6*1024*1024; break; }
	case "8.0 Mega": {  Zielgroesse=8*1024*1024; break; }
	case "10.0 Mega": {  Zielgroesse=10*1024*1024; break; }
	case "12.0 Mega": {  Zielgroesse=12*1024*1024; break; }
	case "14.0 Mega": {  Zielgroesse=14*1024*1024; break; }
	case "16.0 Mega": {  Zielgroesse=16*1024*1024; break; }
}  //Ende switch(Knopf)


// FF_MessageBox("Zielgroesse=" + Zielgroesse, 0);
if (Knopf=="CANCEL") { FF_MessageBox("Abbruch durch den Anwender !" , 0); }
	else {
            Seitenverhaeltnis = FF_GetImageWidth() / FF_GetImageHeight();
            Hoehe = Math.floor( Math.sqrt( Zielgroesse / Seitenverhaeltnis ) );
            Breite = Math.floor( Hoehe * Seitenverhaeltnis );
            FF_HQScale(Breite, Hoehe, false)
            FF_Reload();
		}